Supported Mobile and Tablet Devices

Supported devices for the Sky (Drone control) App:

The Sky application works only on Android devices 6.0 (Marshmallow) version or above.

Although you can use the App on an Android mobile phone, we highly recommend using a tablet.

The Sky application is fully compatible with the DJI Smart Controller:
Download and install the Sky App on the DJI Smart Controller

 

Supported devices for the EasyScout App - Mobile App:

Our mobile App supports both Android and iOS devices and requires internet connectivity.

Android version required: Android 5.0 (Lollipop) or above.
iOS version required: iOS 11 or above.